com.amazonaws.services.workspaces.model

## Class RebootWorkspacesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.workspaces.model.RebootWorkspacesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class RebootWorkspacesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Contains the inputs for the RebootWorkspaces operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`RebootWorkspacesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RebootWorkspacesRequest` `clone()`
`boolean` `equals(Object obj)`
`List<RebootRequest>` `getRebootWorkspaceRequests()` An array of structures that specify the WorkSpaces to reboot.
`int` `hashCode()`
`void` `setRebootWorkspaceRequests(Collection<RebootRequest> rebootWorkspaceRequests)` An array of structures that specify the WorkSpaces to reboot.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RebootWorkspacesRequest` `withRebootWorkspaceRequests(Collection<RebootRequest> rebootWorkspaceRequests)` An array of structures that specify the WorkSpaces to reboot.
`RebootWorkspacesRequest` `withRebootWorkspaceRequests(RebootRequest... rebootWorkspaceRequests)` An array of structures that specify the WorkSpaces to reboot.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RebootWorkspacesRequest

    public RebootWorkspacesRequest()

### Method Detail

#### getRebootWorkspaceRequests

    public List<RebootRequest> getRebootWorkspaceRequests()

An array of structures that specify the WorkSpaces to reboot.

Returns:
  An array of structures that specify the WorkSpaces to reboot.

#### setRebootWorkspaceRequests

    public void setRebootWorkspaceRequests(Collection<RebootRequest> rebootWorkspaceRequests)

An array of structures that specify the WorkSpaces to reboot.

Parameters:
  `rebootWorkspaceRequests` - An array of structures that specify the WorkSpaces to reboot.

#### withRebootWorkspaceRequests

    public RebootWorkspacesRequest withRebootWorkspaceRequests(RebootRequest... rebootWorkspaceRequests)

An array of structures that specify the WorkSpaces to reboot.

NOTE: This method appends the values to the existing list (if any). Use `setRebootWorkspaceRequests(java.util.Collection)` or `withRebootWorkspaceRequests(java.util.Collection)` if you want to override the existing values.

Parameters:
  `rebootWorkspaceRequests` - An array of structures that specify the WorkSpaces to reboot.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withRebootWorkspaceRequests

    public RebootWorkspacesRequest withRebootWorkspaceRequests(Collection<RebootRequest> rebootWorkspaceRequests)

An array of structures that specify the WorkSpaces to reboot.

Parameters:
  `rebootWorkspaceRequests` - An array of structures that specify the WorkSpaces to reboot.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RebootWorkspacesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`